<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [applyToCompany](./bitburner.singularity.applytocompany.md)

## Singularity.applyToCompany() method

Apply for a job at a company.

**Signature:**

```typescript
applyToCompany(companyName: CompanyName, field: JobField): JobName | null;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

companyName


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>

Name of company to apply to.


</td></tr>
<tr><td>

field


</td><td>

[JobField](./bitburner.jobfield.md)


</td><td>

Field to which you want to apply.


</td></tr>
</tbody></table>

**Returns:**

[JobName](./bitburner.jobname.md) \| null

Job name if the player successfully get a job/promotion, and null otherwise.

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will automatically try to apply to the specified company for a position in the specified field. This function can also be used to apply for promotions by specifying the company and field you are already employed at.

This function will return the job name if you successfully get a job/promotion, and null otherwise. Note that if you are trying to use this function to apply for a promotion and don’t get one, the function will return null.

